Error Types(3)

NAME
Error Types -

  Enumerations

enum globus_xio_gsi_error_t { GLOBUS_XIO_GSI_ERROR_INVALID_PROTECTION_LEVEL, GLOBUS_XIO_GSI_ERROR_WRAP_GSSAPI, GLOBUS_XIO_GSI_ERROR_EMPTY_TARGET_NAME, GLOBUS_XIO_GSI_ERROR_EMPTY_HOST_NAME, GLOBUS_XIO_GSI_AUTHORIZATION_FAILED, GLOBUS_XIO_GSI_ERROR_TOKEN_TOO_BIG }

Detailed Description

The GSI driver uses mostly GSSAPI calls, so it generally just wraps the underlying GSSAPI errors or uses generic xio errors.

See Also:
    globus_xio_driver_error_match ()

    globus_error_gssapi_match ()

    globus_error_match_openssl_error ()

Enumeration Type Documentation

  enum globus_xio_gsi_error_t

GSI driver specific error types.

Enumerator

GLOBUS_XIO_GSI_ERROR_INVALID_PROTECTION_LEVEL
    Indicates that the established context does not meet the required protecetion level.

GLOBUS_XIO_GSI_ERROR_WRAP_GSSAPI
    Wraps a GSSAPI error.

GLOBUS_XIO_GSI_ERROR_EMPTY_TARGET_NAME
    Indicates that GLOBUS_XIO_GSI_IDENTITY_AUTHORIZATION is set but that the target name is empty.

GLOBUS_XIO_GSI_ERROR_EMPTY_HOST_NAME
    Indicates that GLOBUS_XIO_GSI_HOST_AUTHORIZATION is set but that no host name is available.

GLOBUS_XIO_GSI_AUTHORIZATION_FAILED
    Indicates that the peer is not authorized.

GLOBUS_XIO_GSI_ERROR_TOKEN_TOO_BIG
    Indicates the the token being read is too big. Usually happens when someone tries to establish a non secure session with a endpoint that expects security

Author

Generated automatically by Doxygen for globus xio gsi driver from the source code.